Bug 107821 - CAN-2003-0853/0854 DoS in services that use "ls"
CAN-2003-0853/0854 DoS in services that use "ls"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fileutils (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 09:03 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 09:03:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-10-23 09:03:08 EDT
Georgi Guninski discovered a memory starvation denial of service
vulnerability in the ls program.  It is possible to make ls allocate a
huge amount of memory by specifing certain command line arguments.  This
vulnerability is remotely exploitable through services like wu-ftpd which
pass user arguments to ls.  The Common Vulnerabilities and Exposures
project (cve.mitre.org) has assigned the name CAN-2003-0854 to this issue.

A non-exploitable integer overflow in ls has been discovered.  It is
possible to make ls crash by specifing certain command line arguments. 
This vulnerability is remotely exploitable through services like wu-ftpd
which pass user arguments to ls.  The Common Vulnerabilities and Exposures
project (cve.mitre.org) has assigned the name CAN-2003-0853 to this issue.

RHSA-2003:310 in progress to correct these issues.
Public Oct22
Comment 1 Mark J. Cox (Product Security) 2003-11-12 09:03:46 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-310.html

Note You need to log in before you can comment on or make changes to this bug.